<?php
/*
	CHANGE THE FAVICON IN ADMIN MENU TO FIT WITH COVE CREEK ONCE ITS READY
*/



// create custom plugin settings menu
add_action('admin_menu', 'covecreek_create_menu');

function covecreek_create_menu() {

	//create new top-level menu
	add_menu_page('The Overlook Options', 'The Overlook' , 'administrator', __FILE__, 'CoveCreek_settings_page', 'http://www.davidwimbley.com/sandbox/littleredbird/covecreek/wp-content/themes/covecreek/images/favicon.ico');

	//call register settings function
	add_action( 'admin_init', 'register_mysettings');
}

function register_mysettings() {
	//register our settings
	
	//HOMEPAGE SETTINGS ONLY
	register_setting( 'covecreek-settings-group', 'covecreek_logo' );
	register_setting( 'covecreek-settings-group', 'home_welcome_title' );
	register_setting( 'covecreek-settings-group', 'home_welcome_content' );
	register_setting( 'covecreek-settings-group', 'home_specials_title' );
	register_setting( 'covecreek-settings-group', 'home_specials_content' );
	register_setting( 'covecreek-settings-group', 'number_of_header_images' );
	
	$number_of_header_images = get_option('number_of_header_images');
		if ($number_of_header_images == "") {
			$number_of_header_images = 3;
		} else {
			$number_of_header_images = get_option('number_of_header_images');
		}
		$y = 1;
		while ($y <= $number_of_header_images){
			register_setting( 'covecreek-settings-group', 'header_home_image' . $y);
			$y=$y+1;
		}

	//FOOTER SETTINGS ONLY
	register_setting( 'covecreek-settings-group', 'covecreek_footer_contact_text' );
	register_setting( 'covecreek-settings-group', 'covecreek_footer_text' );
	
	//Content Box One Footer
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_one_image' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_one_title' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_one_content' );
	
	//Content Box Two Footer
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_two_image' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_two_title' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_two_content' );
	
	//Content Box Three Footer
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_three_image' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_three_title' );
	register_setting( 'covecreek-settings-group', 'covecreek_ftr_bx_three_content' );
	
	//Site Details	
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_title' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_content' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_title' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_bulletpt1' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_bulletpt2' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_bulletpt3' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_bulletpt4' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox1_bulletpt5' );
		
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_title' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt1' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt2' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt3' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt4' );
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt5' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_sitedetails_ftrbox2_bulletpt6' );	

	//Gallery Page Options
	register_setting( 'covecreek-settings-group', 'number_of_gallery_images' );
	
	$number_of_gallery_images = get_option('number_of_gallery_images');
		if ($number_of_gallery_images == "") {
			$number_of_gallery_images = 3;
		} else {
			$number_of_gallery_images = get_option('number_of_gallery_images');
		}
		$y = 1;
		while ($y <= $number_of_gallery_images){
			register_setting( 'covecreek-settings-group', 'gallery_view_images' . $y);
			$y=$y+1;
		}
		
	register_setting( 'covecreek-settings-group', 'gallery_surrounded_byntre_img' );
	register_setting( 'covecreek-settings-group', 'gallery_lifeincovecreekimg' );
	register_setting( 'covecreek-settings-group', 'gallery_mntainviewimg' );
	register_setting( 'covecreek-settings-group', 'gallery_plnvisit_title' );
	register_setting( 'covecreek-settings-group', 'gallery_planvisit_text' );
	register_setting( 'covecreek-settings-group', 'gallery_text' );
	register_setting( 'covecreek-settings-group', 'gallery_title' );
		
	//Lifestyle Page Options
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featureimg' );
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_title' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_text' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featuretitle' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featureone' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featuretwo' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featurethree' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featurefour' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featurefive' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_featuresix' );	

	//Lifestyle Things To Do Boxes
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_one' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_one' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_one' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_two' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_two' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_two' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_three' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_three' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_three' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_four' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_four' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_four' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_five' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_five' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_five' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_six' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_six' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_six' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_seven' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_seven' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_seven' );	

	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_image_eight' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_title_eight' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_lifestyle_todo_text_eight' );	
	
	//Contact Page Options
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_titleleft' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_titleright' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_text' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_salesofficetitle' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_salesofficetext' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_salesofficephonenumber' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_contact_salesofficeaddress' );	

	//Footer Links
	register_setting( 'covecreek-settings-group', 'cove_creek_footerlink_planavisit' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_footerlink_viewgallery' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_footerlink_goexploring' );	
	
	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_rightimage' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_titleleft' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_text' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_salesofficetitle' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_salesofficetext' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_thankyou_titleleft' );	
	
	

	
	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffers_title' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_title_one' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_text_one' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_title_two' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_text_two' );	
	
	
	
		register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_title_three' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_text_three' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_title_four' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_text_four' );	

	register_setting( 'covecreek-settings-group', 'lifeincovecreek_thingstodo_gallery_link' );	
	register_setting( 'covecreek-settings-group', 'lifeincovecreek_naturalbeauty_gallery_link' );	
	register_setting( 'covecreek-settings-group', 'lifeincovecreek_covecreeklifestyle_gallery_link' );	
	
	//Natural Beauty Gallery Page Options
	register_setting( 'covecreek-settings-group', 'number_naturalbeauty_images' );
	
	$number_naturalbeauty_images = get_option('number_naturalbeauty_images');
		if ($number_naturalbeauty_images == "") {
			$number_naturalbeauty_images = 3;
		} else {
			$number_naturalbeauty_images = get_option('number_naturalbeauty_images');
		}
		$y = 1;
		while ($y <= $number_naturalbeauty_images){
			register_setting( 'covecreek-settings-group', 'naturalbeautyimage' . $y);
			$y=$y+1;
		}
		
		
	//Things To Do Gallery Page Options
	register_setting( 'covecreek-settings-group', 'numberof_thingstodo_galleryimages' );
	
	$numberof_thingstodo_galleryimages = get_option('numberof_thingstodo_galleryimages');
		if ($numberof_thingstodo_galleryimages == "") {
			$numberof_thingstodo_galleryimages = 3;
		} else {
			$numberof_thingstodo_galleryimages = get_option('numberof_thingstodo_galleryimages');
		}
		$y = 1;
		while ($y <= $numberof_thingstodo_galleryimages){
			register_setting( 'covecreek-settings-group', 'thingstodo_gallery_images' . $y);
			$y=$y+1;
		}		
	
	
	register_setting( 'covecreek-settings-group', 'covecreek_lifestylegallery_title' );	
	register_setting( 'covecreek-settings-group', 'covecreek_lifestylegallery_text' );	
	register_setting( 'covecreek-settings-group', 'covecreek_naturalbeauty_title' );	
	register_setting( 'covecreek-settings-group', 'covecreek_naturalbeauty_text' );	
	register_setting( 'covecreek-settings-group', 'covecreek_thingstodo_title' );	
	register_setting( 'covecreek-settings-group', 'covecreek_thingstodo_text' );	
	register_setting( 'covecreek-settings-group', 'homepage_takequicktour_link' );	
	register_setting( 'covecreek-settings-group', 'covecreek_specialoffer_titlefeature_two' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_highlightbox_title' );	
	register_setting( 'covecreek-settings-group', 'cove_creek_highlightbox_text' );	
	
	
}

function CoveCreek_settings_page() {


?>

<div class="wrap">
<br/>
<img src="<?php echo bloginfo('template_directory').'/images/overlook_logo.png';?>"/>
<link type="text/css" href="<?php echo bloginfo('template_directory').'/functions/functions.css'; ?>" rel="stylesheet">
<script src="<?php echo bloginfo('template_directory').'/functions/accordian.js';?>" type="text/javascript"></script>

<form method="post" action="options.php">
	<?php settings_fields('covecreek-settings-group'); ?>
    <div id="options">
	<a href="javascript:parentAccordion.pr(1)">Exand All</a> | <a href="javascript:parentAccordion.pr(-1)">Collapse All</a>
</div>

<ul class="acc" id="acc">
	<li>
		<h3>General Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
					<tr valign="top" style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Logo</th>
						<td style="padding-bottom: 15px;">
							<input type="text" class="input" name="covecreek_logo" value="<?php echo get_option('covecreek_logo'); ?>" />
						</td>
					</tr>
		
					<tr valign="top">
						<th style="padding-top: 15px;"  class="txtalign_left" scope="row">Footer Content Box One - Image</th>
						<td style="padding-top: 15px;" >
							<input type="text" class="input" name="covecreek_ftr_bx_one_image" value="<?php echo get_option('covecreek_ftr_bx_one_image'); ?>" />
						</td>
					</tr>

					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Content Box One - Title</th>
						<td>
							<input type="text" class="input" name="covecreek_ftr_bx_one_title" value="<?php echo get_option('covecreek_ftr_bx_one_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top" style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Footer Content Box One - Text</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="covecreek_ftr_bx_one_content"><?php echo get_option('covecreek_ftr_bx_one_content'); ?></textarea>
						</td>
					</tr>
					
					
					<tr valign="top">
						<th style="padding-top: 15px;"  class="txtalign_left" scope="row">Footer Content Box Two - Image</th>
						<td style="padding-top: 15px;" >
							<input type="text" class="input" name="covecreek_ftr_bx_two_image" value="<?php echo get_option('covecreek_ftr_bx_two_image'); ?>" />
						</td>
					</tr>

					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Content Box Two - Title</th>
						<td>
							<input type="text" class="input" name="covecreek_ftr_bx_two_title" value="<?php echo get_option('covecreek_ftr_bx_two_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top" style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Footer Content Box Two - Text</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="covecreek_ftr_bx_two_content"><?php echo get_option('covecreek_ftr_bx_two_content'); ?></textarea>
						</td>
					</tr>
					
					
					
					<tr valign="top" >
						<th style="padding-top: 15px;"  class="txtalign_left" scope="row">Footer Content Box Three - Image</th>
						<td style="padding-top: 15px;" >
							<input type="text" class="input" name="covecreek_ftr_bx_three_image" value="<?php echo get_option('covecreek_ftr_bx_three_image'); ?>" />
						</td>
					</tr>

					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Content Box Three - Title</th>
						<td>
							<input type="text" class="input" name="covecreek_ftr_bx_three_title" value="<?php echo get_option('covecreek_ftr_bx_three_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top" style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Footer Content Box Three - Text</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="covecreek_ftr_bx_three_content"><?php echo get_option('covecreek_ftr_bx_three_content'); ?></textarea>
						</td>
					</tr>
					
					
					
					
					
					
					
					
					
					<tr valign="top">
						<th style="padding-top: 15px;" class="txtalign_left" scope="row">Footer Text</th>
						<td style="padding-top: 15px;">
							<input type="text" class="input" name="covecreek_footer_text" value="<?php echo get_option('covecreek_footer_text'); ?>" />
						</td>
					</tr>
					
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Contact Information</th>
						<td>
							<input type="text" class="input" name="covecreek_footer_contact_text" value="<?php echo get_option('covecreek_footer_contact_text'); ?>" />
						</td>
					</tr>
			</div>
			
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>

				
			</div>
		</li>
		
		<li>
		<h3>Home Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
				<tr valign="top">
					<th class="txtalign_left" scope="row">Number of Homepage Featured Images</th>
					<td>
						<input class="input" type="text" name="number_of_header_images" value="<?php echo get_option('number_of_header_images'); ?>" />
						<font color="red">*Note:</font><span style="color:#4F4F4F;"> If you change this number, you must save the options before inserting background images</span>
					</td>
				</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Homepage Images</th>
					<td style="padding-bottom: 5px;">
						
											<?php
												$number_of_header_images = get_option('number_of_header_images');
												if ($number_of_header_images == "") {
													$number_of_header_images = 3;
												} else {
													$number_of_header_images = get_option('number_of_header_images');
												}
												$y = 1;
												while ($y <= $number_of_header_images){
												?>
														<h4>Header Image <?php echo $y; ?> (892px by 324px)</h4>
														<input class="input" type="text" name="header_home_image<?php echo $y; ?>" value="<?php echo get_option('header_home_image' . $y); ?>" />
												<?php
												$y=$y+1;
												}
												?>
									
						</td>
					</tr>

					<tr valign="top">
						<th style="padding-top: 15px;" class="txtalign_left" scope="row">Welcome Box Title</th>
						<td style="padding-top: 15px;">
							<input type="text" class="input" name="home_welcome_title" value="<?php echo get_option('home_welcome_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top" style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;" >
						<th class="txtalign_left" scope="row">Welcome Box Content</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="home_welcome_content"><?php echo get_option('home_welcome_content'); ?></textarea>
						</td>
					</tr>
				
					<tr valign="top">
						<th style="padding-top: 15px;" class="txtalign_left" scope="row">Specials Box Title</th>
						<td style="padding-top: 15px;">
							<input type="text" class="input" name="home_specials_title" value="<?php echo get_option('home_specials_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Specials Box Content</th>
						<td>
							<textarea class="large" name="home_specials_content"><?php echo get_option('home_specials_content'); ?></textarea>
						</td>
					</tr>	
		</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	<li>
		<h3>About Cove Creek Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
					<tr valign="top">
						<th class="txtalign_left" scope="row">Site Details Content Title</th>
						<td>
							<input class="input" type="text" name="cove_creek_sitedetails_title" value="<?php echo get_option('cove_creek_sitedetails_title'); ?>" />
						</td>
					</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;" valign="top">
						<th style="padding-bottom: 15px;" class="txtalign_left" scope="row">Site Details Content Content</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="cove_creek_sitedetails_content"><?php echo get_option('cove_creek_sitedetails_content'); ?></textarea>
						</td>
					</tr>

					
					<tr valign="top">
						<th class="txtalign_left" scope="row">About Cove Creek - Highlight Box Title</th>
						<td>
							<input class="input" type="text" name="cove_creek_highlightbox_title" value="<?php echo get_option('cove_creek_highlightbox_title'); ?>" />
						</td>
					</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;" valign="top">
						<th style="padding-bottom: 15px;" class="txtalign_left" scope="row">About Cove Creek - Highlight Box Text</th>
						<td style="padding-bottom: 15px;">
							<textarea class="medium" name="cove_creek_highlightbox_text"><?php echo get_option('cove_creek_highlightbox_text'); ?></textarea>
						</td>
					</tr>
					
					
					
					<tr valign="top">
						<th style="padding-top: 15px;" class="txtalign_left" scope="row">Site Details Feature Box One - Title</th>
						<td style="padding-top: 15px;">
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_title" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">First Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_bulletpt1" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_bulletpt1'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Second Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_bulletpt2" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_bulletpt2'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Third Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_bulletpt3" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_bulletpt3'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Fourth Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_bulletpt4" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_bulletpt4'); ?>" />
						</td>
					</tr>
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;" valign="top">
						<th class="txtalign_left" scope="row">Fifth Feature Bullet Point</th>
						<td style="padding-bottom: 15px;">
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox1_bulletpt5" value="<?php echo get_option('cove_creek_sitedetails_ftrbox1_bulletpt5'); ?>" />
						</td>
					</tr>

					<tr valign="top">
						<th style="padding-top: 15px;" class="txtalign_left" scope="row">Site Details Feature Box Two - Title</th>
						<td style="padding-top: 15px;">
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_title" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_title'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">First Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt1" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt1'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Second Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt2" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt2'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Third Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt3" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt3'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Fourth Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt4" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt4'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Fifth Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt5" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt5'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Sixth Feature Bullet Point</th>
						<td>
							<input type="text" class="input" name="cove_creek_sitedetails_ftrbox2_bulletpt6" value="<?php echo get_option('cove_creek_sitedetails_ftrbox2_bulletpt6'); ?>" />
						</td>
					</tr>
		</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>

	<li>
		<h3>The Life Cove Creek Lifestyle Gallery Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
				<tr valign="top">
					<th class="txtalign_left" scope="row">Number of Life style Gallery Images</th>
					<td>
						<input class="input" type="text" name="number_of_gallery_images" value="<?php echo get_option('number_of_gallery_images'); ?>" />
						<font color="red">*Note:</font><span style="color:#4F4F4F;"> If you change this number, you must save the options before inserting background images</span>
					</td>
				</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Gallery Page Images</th>
					<td style="padding-bottom: 5px;">
							<ul id="nested" class="acc">
				
								<li>
									<h3>Insert Links To Gallery Page Images</h3>
									<div class="acc-section" style="height: 0pt;">
										<div class="acc-content">
											<?php
												$number_of_gallery_images = get_option('number_of_gallery_images');
												if ($number_of_gallery_images == "") {
													$number_of_gallery_images = 3;
												} else {
													$number_of_gallery_images = get_option('number_of_gallery_images');
												}
												$y = 1;
												while ($y <= $number_of_gallery_images){
												?>
														<h4>Gallery Image <?php echo $y; ?> (430px by 288px)</h4>
														<input class="input" type="text" name="gallery_view_images<?php echo $y; ?>" value="<?php echo get_option('gallery_view_images' . $y); ?>" />
												<?php
												$y=$y+1;
												}
												?>
										</div>
									</div>
								</li>
				
							</ul>
						</td>
					</tr>
			
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Title</th>
					<td style="padding-top: 15px;">
						<input class="input" type="text" name="covecreek_lifestylegallery_title" value="<?php echo get_option('covecreek_lifestylegallery_title'); ?>" />
					</td>
				</tr>
				
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Text</th>
					<td style="padding-top: 15px;">
							<textarea class="medium" name="covecreek_lifestylegallery_text"><?php echo get_option('covecreek_lifestylegallery_text'); ?></textarea>
					</td>
				</tr>

				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Gallery Page Title</th>
					<td style="padding-top: 15px;">
						<input class="input" type="text" name="gallery_title" value="<?php echo get_option('gallery_title'); ?>" />
					</td>
				</tr>
	
				<tr valign="top">
						<th class="txtalign_left" scope="row">Gallery Page Text</th>
						<td>
							<textarea class="medium" name="gallery_text"><?php echo get_option('gallery_text'); ?></textarea>
						</td>
					</tr>
			
			<tr valign="top">
					<th class="txtalign_left" scope="row">Side Bar - Surrounded By Nate Image</th>
					<td>
						<input class="input" type="text" name="gallery_surrounded_byntre_img" value="<?php echo get_option('gallery_surrounded_byntre_img'); ?>" />
					</td>
				</tr>
				
				<tr valign="top">
					<th class="txtalign_left" scope="row">Side Bar - Mountain Views Image</th>
					<td>
						<input class="input" type="text" name="gallery_mntainviewimg" value="<?php echo get_option('gallery_mntainviewimg'); ?>" />
					</td>
				</tr>
			
				<tr valign="top">
					<th class="txtalign_left" scope="row">Side Bar - Life In Cove Creek</th>
					<td>
						<input class="input" type="text" name="gallery_lifeincovecreekimg" value="<?php echo get_option('gallery_lifeincovecreekimg'); ?>" />
					</td>
				</tr>
				<tr valign="top">
					<th class="txtalign_left" scope="row">Plan A Visit Title</th>
					<td>
						<input class="input" type="text" name="gallery_plnvisit_title" value="<?php echo get_option('gallery_plnvisit_title'); ?>" />
					</td>
				</tr>
			<tr valign="top">
					<th class="txtalign_left" scope="row">Plan A Visit Text</th>
					<td>
							<textarea class="medium" name="gallery_planvisit_text"><?php echo get_option('gallery_planvisit_text'); ?></textarea>
					</td>
				</tr>

		</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	
	<li>
		<h3>Natural Beauty of Cove Creek Gallery Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Title</th>
					<td style="padding-top: 15px;">
						<input class="input" type="text" name="covecreek_naturalbeauty_title" value="<?php echo get_option('covecreek_naturalbeauty_title'); ?>" />
					</td>
				</tr>
				
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Text</th>
					<td style="padding-top: 15px;">
							<textarea class="medium" name="covecreek_naturalbeauty_text"><?php echo get_option('covecreek_naturalbeauty_text'); ?></textarea>
					</td>
				</tr>
				
				<tr valign="top">
					<th class="txtalign_left" scope="row">Number of Homepage Featured Images</th>
					<td>
						<input class="input" type="text" name="number_naturalbeauty_images" value="<?php echo get_option('number_naturalbeauty_images'); ?>" />
						<font color="red">*Note:</font><span style="color:#4F4F4F;"> If you change this number, you must save the options before inserting background images</span>
					</td>
				</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Homepage Images</th>
					<td style="padding-bottom: 5px;">
						
											<?php
												$number_naturalbeauty_images = get_option('number_naturalbeauty_images');
												if ($number_naturalbeauty_images == "") {
													$number_naturalbeauty_images = 3;
												} else {
													$number_naturalbeauty_images = get_option('number_naturalbeauty_images');
												}
												$y = 1;
												while ($y <= $number_naturalbeauty_images){
												?>
														<h4>Header Image <?php echo $y; ?> (892px by 324px)</h4>
														<input class="input" type="text" name="naturalbeautyimage<?php echo $y; ?>" value="<?php echo get_option('naturalbeautyimage' . $y); ?>" />
												<?php
												$y=$y+1;
												}
												?>
									
						</td>
					</tr>

			
		</div>
				
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	
	<li>
		<h3>Thing To Do Near Cove Creek Gallery Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Title</th>
					<td style="padding-top: 15px;">
						<input class="input" type="text" name="covecreek_thingstodo_title" value="<?php echo get_option('covecreek_thingstodo_title'); ?>" />
					</td>
				</tr>
				
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Cove Creek Lifestyle Gallery Text</th>
					<td style="padding-top: 15px;">
							<textarea class="medium" name="covecreek_thingstodo_text"><?php echo get_option('covecreek_thingstodo_text'); ?></textarea>
					</td>
				</tr>
				<tr valign="top">
					<th class="txtalign_left" scope="row">Number of Homepage Featured Images</th>
					<td>
						<input class="input" type="text" name="numberof_thingstodo_galleryimages" value="<?php echo get_option('numberof_thingstodo_galleryimages'); ?>" />
						<font color="red">*Note:</font><span style="color:#4F4F4F;"> If you change this number, you must save the options before inserting background images</span>
					</td>
				</tr>
					
					<tr style="border-bottom: 1px dotted #9AC1C9; margin-bottom: 10px;">
						<th class="txtalign_left" scope="row">Homepage Images</th>
					<td style="padding-bottom: 5px;">
						
											<?php
												$numberof_thingstodo_galleryimages = get_option('numberof_thingstodo_galleryimages');
												if ($numberof_thingstodo_galleryimages == "") {
													$numberof_thingstodo_galleryimages = 3;
												} else {
													$numberof_thingstodo_galleryimages = get_option('numberof_thingstodo_galleryimages');
												}
												$y = 1;
												while ($y <= $numberof_thingstodo_galleryimages){
												?>
														<h4>Header Image <?php echo $y; ?> (892px by 324px)</h4>
														<input class="input" type="text" name="thingstodo_gallery_images<?php echo $y; ?>" value="<?php echo get_option('thingstodo_gallery_images' . $y); ?>" />
												<?php
												$y=$y+1;
												}
												?>
									
						</td>
					</tr>

			
		</div>
				
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	<li>
		<h3>Contact Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page Title - Left</th>
						<td>
							<input class="input" type="text" name="cove_creek_contact_titleleft" value="<?php echo get_option('cove_creek_contact_titleleft'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page Title - Right</th>
						<td>
							<input class="input" type="text" name="cove_creek_contact_titleright" value="<?php echo get_option('cove_creek_contact_titleright'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page Text</th>
						<td>
							<textarea class="medium" name="cove_creek_contact_text"><?php echo get_option('cove_creek_contact_text'); ?></textarea>
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page - Sales Office Title</th>
						<td>
							<input class="input" type="text" name="cove_creek_contact_salesofficetitle" value="<?php echo get_option('cove_creek_contact_salesofficetitle'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page - Sales Office Text</th>
						<td>
							<textarea class="medium" name="cove_creek_contact_salesofficetext"><?php echo get_option('cove_creek_contact_salesofficetext'); ?></textarea>
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page - Sales Office Phone Number</th>
						<td>
							<input class="input" type="text" name="cove_creek_contact_salesofficephonenumber" value="<?php echo get_option('cove_creek_contact_salesofficephonenumber'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Contact Page - Sales Office Address</th>
						<td>
							<input class="input" type="text" name="cove_creek_contact_salesofficeaddress" value="<?php echo get_option('cove_creek_contact_salesofficeaddress'); ?>" />
						</td>
					</tr>
		
					
					
					
					
			</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	<li>
		<h3>Thank You Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
					<tr valign="top">
						<th class="txtalign_left" scope="row">Thank You Page Title - Left</th>
						<td>
							<input class="input" type="text" name="cove_creek_thankyou_titleleft" value="<?php echo get_option('cove_creek_thankyou_titleleft'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Thank You Page Text - Left</th>
						<td>
							<textarea class="medium" name="cove_creek_thankyou_text"><?php echo get_option('cove_creek_thankyou_text'); ?></textarea>
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Thank You Page Sales Office Title</th>
						<td>
							<input class="input" type="text" name="cove_creek_thankyou_salesofficetitle" value="<?php echo get_option('cove_creek_thankyou_salesofficetitle'); ?>" />
						</td>
					</tr>

					<tr valign="top">
						<th class="txtalign_left" scope="row">Thank You Page Image on Right</th>
						<td>
							<input class="input" type="text" name="cove_creek_thankyou_rightimage" value="<?php echo get_option('cove_creek_thankyou_rightimage'); ?>" />
						</td>
					</tr>
			
					
					
					
					
			</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	
	<li>
		<h3>Special Offers Page Options</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
			
					
				<tr valign="top">
					<th style="padding-top: 15px;" class="txtalign_left" scope="row">Special Offers Page Title</th>
					<td style="padding-top: 15px;">
						<input class="input" type="text" name="covecreek_specialoffers_title" value="<?php echo get_option('covecreek_specialoffers_title'); ?>" />
					</td>
				</tr>
	
				<tr valign="top">
						<th class="txtalign_left" scope="row">First Special Offer Title</th>
						<td>
						<input class="input" type="text" name="covecreek_specialoffer_title_one" value="<?php echo get_option('covecreek_specialoffer_title_one'); ?>" />
						</td>
					</tr>
					
				<tr valign="top">
						<th class="txtalign_left" scope="row">First Special Offer Text</th>
						<td>
							<textarea class="medium" name="covecreek_specialoffer_text_one"><?php echo get_option('covecreek_specialoffer_text_one'); ?></textarea>
						</td>
					</tr>
			
				<tr valign="top">
						<th class="txtalign_left" scope="row">Second Special Offer Title</th>
						<td>
						<input class="input" type="text" name="covecreek_specialoffer_title_two" value="<?php echo get_option('covecreek_specialoffer_title_two'); ?>" />
						</td>
					</tr>
					
				<tr valign="top">
						<th class="txtalign_left" scope="row">Second Special Offer Title - Feature Text</th>
						<td>
						<input class="input" type="text" name="covecreek_specialoffer_titlefeature_two" value="<?php echo get_option('covecreek_specialoffer_titlefeature_two'); ?>" />
						</td>
					</tr>

					
				<tr valign="top">
						<th class="txtalign_left" scope="row">Second Special Offer Text</th>
						<td>
							<textarea class="medium" name="covecreek_specialoffer_text_two"><?php echo get_option('covecreek_specialoffer_text_two'); ?></textarea>
						</td>
					</tr>
					
					
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Third Special Offer Title</th>
						<td>
						<input class="input" type="text" name="covecreek_specialoffer_title_three" value="<?php echo get_option('covecreek_specialoffer_title_three'); ?>" />
						</td>
					</tr>
					
					
				<tr valign="top">
						<th class="txtalign_left" scope="row">Third Special Offer Text</th>
						<td>
							<textarea class="medium" name="covecreek_specialoffer_text_three"><?php echo get_option('covecreek_specialoffer_text_three'); ?></textarea>
						</td>
					</tr>
					
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Fourth Special Offer Title</th>
						<td>
						<input class="input" type="text" name="covecreek_specialoffer_title_four" value="<?php echo get_option('covecreek_specialoffer_title_four'); ?>" />
						</td>
					</tr>
					
					
				<tr valign="top">
						<th class="txtalign_left" scope="row">Fourth Special Offer Text</th>
						<td>
							<textarea class="medium" name="covecreek_specialoffer_text_four"><?php echo get_option('covecreek_specialoffer_text_four'); ?></textarea>
						</td>
					</tr>

		</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	
	<li>
		<h3>Links</h3>
		<div class="acc-section">
			<div class="acc-content">	
				<table class="form-general-options">
					<tr valign="top">
						<th class="txtalign_left" scope="row">Home Page - Take A Quick Tour Link</th>
						<td>
							<input class="input" type="text" name="homepage_takequicktour_link" value="<?php echo get_option('homepage_takequicktour_link'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Life In Cove Creek - Natural Beauty Link</th>
						<td>
							<input class="input" type="text" name="lifeincovecreek_naturalbeauty_gallery_link" value="<?php echo get_option('lifeincovecreek_naturalbeauty_gallery_link'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Life In Cove Creek - Cove Creek Lifestyle Link</th>
						<td>
							<input class="input" type="text" name="lifeincovecreek_covecreeklifestyle_gallery_link" value="<?php echo get_option('lifeincovecreek_covecreeklifestyle_gallery_link'); ?>" />
						</td>
					</tr>
					<tr valign="top">
						<th class="txtalign_left" scope="row">Life In Cove Creek - Things To Do Link</th>
						<td>
							<input class="input" type="text" name="lifeincovecreek_thingstodo_gallery_link" value="<?php echo get_option('lifeincovecreek_thingstodo_gallery_link'); ?>" />
						</td>
					</tr>
				
				
				
				
				
					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Link - View Gallery</th>
						<td>
							<input class="input" type="text" name="cove_creek_footerlink_viewgallery" value="<?php echo get_option('cove_creek_footerlink_viewgallery'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Link - Go Exploring</th>
						<td>
							<input class="input" type="text" name="cove_creek_footerlink_goexploring" value="<?php echo get_option('cove_creek_footerlink_goexploring'); ?>" />
						</td>
					</tr>
					
					<tr valign="top">
						<th class="txtalign_left" scope="row">Footer Link - Plan A Visit</th>
						<td>
							<input class="input" type="text" name="cove_creek_footerlink_planavisit" value="<?php echo get_option('cove_creek_footerlink_planavisit'); ?>" />
						</td>
					</tr>
					
		
					
					
					
					
			</div>
					</tr>
					<tr>
						<td>
								<input type="submit" name="submit" class="button_submit" value="Save Changes" />
						</td>
					</tr>
				</table>
			</div>
		</div>
	</li>
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
</ul>

<script type="text/javascript">

var parentAccordion=new TINY.accordion.slider("parentAccordion");
parentAccordion.init("acc","h3",0,0);

var nestedAccordion=new TINY.accordion.slider("nestedAccordion");
nestedAccordion.init("nested","h3",1,-1,"acc-selected");



</script>


</form>
</div>









<?php } ?>